import spock.lang.*

class TestList extends Specification {
  def "list is empty upon create"() {
    expect:
      list.size() == 0
      
    where:
      list = []
  }
  
  def "list head"() {
    expect:
      list[0] == head
      
    where:
      list << [[2], [4], [6,7]]
      head << [2, 4, 6]
  }
  
  def "list head again"() {
    expect:
      list[0] == head
      
    where:
      list   | head
      [2]    | 2
      [4]    | 4
      [6, 7] | 6
  }
}